Announcement Announcement Module
Collapse
No announcement yet.
spring IDE 2.0 Final zip install Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • spring IDE 2.0 Final zip install

    Hi,

    In ticket : http://springide.org/project/ticket/618 , Spring ide team say that they will provide a zip install once 2.0 is final.

    Anybody know where is this zip?

    (not present in http://springide.org/updatesite/)

    Thanks

  • #2
    Hi,

    the zipped version of Spring IDE 2.0 is now available from http://springide.org/updatesite/spri...0706271108.zip.

    Feel free to give that a try.

    Christian

    Comment


    • #3
      Thank you, the zip works fine for me.

      Thank you very much for your great job.

      Comment


      • #4
        Bug ?

        This version of the plugin crashed my eclipse.
        I'm using Eclipse 3.2.2 and just downloaded SpringIDE 2.0

        Here's the log:

        Code:
        !SESSION 2007-06-28 14:54:16.243 -----------------------------------------------
        eclipse.buildId=M20060628-1325
        java.version=1.6.0_01
        java.vendor=Sun Microsystems Inc.
        BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=pt_BR
        Command-line arguments:  -os win32 -ws win32 -arch x86
        
        !ENTRY org.eclipse.osgi 4 0 2007-06-28 14:54:35.509
        !MESSAGE An error occurred while automatically activating bundle org.springframework.ide.eclipse.aop.core (626).
        !STACK 0
        org.osgi.framework.BundleException: The activator org.springframework.ide.eclipse.aop.core.Activator for bundle org.springframework.ide.eclipse.aop.core is invalid
        	at org.eclipse.osgi.framework.internal.core.AbstractBundle.loadBundleActivator(AbstractBundle.java:141)
        	at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:962)
        	at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:317)
        	at org.eclipse.osgi.framework.internal.core.AbstractBundle.start(AbstractBundle.java:256)
        	at org.eclipse.osgi.framework.util.SecureAction.start(SecureAction.java:342)
        	at org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter.preFindLocalClass(EclipseLazyStarter.java:88)
        	at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:412)
        	at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:189)
        	at org.eclipse.osgi.framework.internal.core.BundleLoader.findLocalClass(BundleLoader.java:334)
        	at org.eclipse.osgi.framework.internal.core.SingleSourcePackage.loadClass(SingleSourcePackage.java:37)
        	at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:383)
        	at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:347)
        	at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:83)
        	at java.lang.ClassLoader.loadClass(ClassLoader.java:251)
        	at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:319)
        	at java.lang.Class.getDeclaredConstructors0(Native Method)
        	at java.lang.Class.privateGetDeclaredConstructors(Class.java:2389)
        	at java.lang.Class.getConstructor0(Class.java:2699)
        	at java.lang.Class.newInstance0(Class.java:326)
        	at java.lang.Class.newInstance(Class.java:308)
        	at org.eclipse.osgi.framework.internal.core.AbstractBundle.loadBundleActivator(AbstractBundle.java:136)
        	at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:962)
        	at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:317)
        	at org.eclipse.osgi.framework.internal.core.AbstractBundle.start(AbstractBundle.java:256)
        	at org.eclipse.osgi.framework.util.SecureAction.start(SecureAction.java:342)
        	at org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter.preFindLocalClass(EclipseLazyStarter.java:88)
        	at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:412)
        	at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:189)
        	at org.eclipse.osgi.framework.internal.core.BundleLoader.findLocalClass(BundleLoader.java:334)
        	at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:386)
        	at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:347)
        	at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:83)
        	at java.lang.ClassLoader.loadClass(ClassLoader.java:251)
        	at org.eclipse.osgi.framework.internal.core.BundleLoader.loadClass(BundleLoader.java:278)
        	at org.eclipse.osgi.framework.internal.core.BundleHost.loadClass(BundleHost.java:227)
        	at org.eclipse.osgi.framework.internal.core.AbstractBundle.loadClass(AbstractBundle.java:1245)
        	at org.eclipse.core.internal.registry.osgi.RegistryStrategyOSGI.createExecutableExtension(RegistryStrategyOSGI.java:147)
        	at org.eclipse.core.internal.registry.ExtensionRegistry.createExecutableExtension(ExtensionRegistry.java:759)
        	at org.eclipse.core.internal.registry.ConfigurationElement.createExecutableExtension(ConfigurationElement.java:243)
        	at org.eclipse.core.internal.registry.ConfigurationElementHandle.createExecutableExtension(ConfigurationElementHandle.java:51)
        	at org.eclipse.ui.internal.WorkbenchPlugin$1.run(WorkbenchPlugin.java:242)
        	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:49)
        	at org.eclipse.ui.internal.WorkbenchPlugin.createExtension(WorkbenchPlugin.java:238)
        	at org.eclipse.ui.internal.decorators.LightweightDecoratorDefinition$1.run(LightweightDecoratorDefinition.java:117)
        	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:37)
        	at org.eclipse.core.runtime.Platform.run(Platform.java:843)
        	at org.eclipse.ui.internal.decorators.LightweightDecoratorDefinition.internalGetDecorator(LightweightDecoratorDefinition.java:113)
        	at org.eclipse.ui.internal.decorators.LightweightDecoratorDefinition.decorate(LightweightDecoratorDefinition.java:241)
        	at org.eclipse.ui.internal.decorators.LightweightDecoratorManager$LightweightRunnable.run(LightweightDecoratorManager.java:71)
        	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:37)
        	at org.eclipse.core.runtime.Platform.run(Platform.java:843)
        	at org.eclipse.ui.internal.decorators.LightweightDecoratorManager.decorate(LightweightDecoratorManager.java:336)
        	at org.eclipse.ui.internal.decorators.LightweightDecoratorManager.getDecorations(LightweightDecoratorManager.java:322)
        	at org.eclipse.ui.internal.decorators.DecorationScheduler$1.ensureResultCached(DecorationScheduler.java:338)
        	at org.eclipse.ui.internal.decorators.DecorationScheduler$1.run(DecorationScheduler.java:308)
        	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:58)
        Caused by: java.lang.NoClassDefFoundError: org/springframework/ide/eclipse/core/internal/model/resources/ISpringResourceChangeEvents
        	at org.springframework.ide.eclipse.aop.core.Activator.<init>(Activator.java:47)
        	(resumed, maximum number of characters reached)
        Root exception:
        java.lang.NoClassDefFoundError: org/springframework/ide/eclipse/core/internal/model/resources/ISpringResourceChangeEvents
        	(resumed...)
        
        !ENTRY org.eclipse.osgi 4 0 2007-06-28 14:54:35.509
        !MESSAGE An error occurred while automatically activating bundle org.springframework.ide.eclipse.aop.ui (629).
        !STACK 0
        org.osgi.framework.BundleException: The activator org.springframework.ide.eclipse.aop.ui.Activator for bundle org.springframework.ide.eclipse.aop.ui is invalid
        	(resumed...)
        
        Caused by: java.lang.NoClassDefFoundError: org/springframework/ide/eclipse/aop/core/logging/IAopLogger
        	(resumed...)
        	at org.eclipse.osgi.framework.internal.core.AbstractBundle.loadBundleActivator(AbstractBundle.java:136)
        	... 35 more
        Root exception:
        java.lang.NoClassDefFoundError: org/springframework/ide/eclipse/aop/core/logging/IAopLogger
        	(resumed...)
        
        !ENTRY org.eclipse.equinox.registry 4 1 2007-06-28 14:54:35.525
        !MESSAGE Plug-in org.springframework.ide.eclipse.aop.ui was unable to load class org.springframework.ide.eclipse.aop.ui.decorator.AopReferenceModelImageDecorator.
        !STACK 0
        java.lang.ClassNotFoundException: org.springframework.ide.eclipse.aop.ui.decorator.AopReferenceModelImageDecorator
        	(resumed...)
        
        !ENTRY org.eclipse.osgi 4 0 2007-06-28 14:54:35.994
        !MESSAGE An error occurred while automatically activating bundle org.springframework.ide.eclipse.beans.core (631).
        !STACK 0
        org.osgi.framework.BundleException: The activator org.springframework.ide.eclipse.beans.core.BeansCorePlugin for bundle org.springframework.ide.eclipse.beans.core is invalid
        	(resumed...)
        
        Caused by: java.lang.VerifyError: class org.springframework.ide.eclipse.beans.core.internal.model.BeansModel overrides final method hashCode.()I
        	(resumed...)
        
        Root exception:
        java.lang.VerifyError: class org.springframework.ide.eclipse.beans.core.internal.model.BeansModel overrides final method hashCode.()I
        	(resumed...)
        	at org.springframework.ide.eclipse.javaconfig.ui.decorator.JavaConfigImageDecorator.<init>(JavaConfigImageDecorator.java:53)
        	(resumed...)
        
        !ENTRY org.eclipse.ui.workbench 4 2 2007-06-28 14:54:36.338
        !MESSAGE Problems occurred when invoking code from plug-in: "org.eclipse.ui.workbench".
        !STACK 0
        java.lang.NoClassDefFoundError: org/springframework/ide/eclipse/beans/core/BeansCorePlugin
        	at org.springframework.ide.eclipse.javaconfig.ui.decorator.JavaConfigImageDecorator.<init>(JavaConfigImageDecorator.java:53)
        	(resumed...)
        
        !ENTRY org.eclipse.osgi 4 0 2007-06-28 14:54:39.119
        !MESSAGE An error occurred while automatically activating bundle org.springframework.ide.eclipse.beans.core (631).
        !STACK 0
        org.osgi.framework.BundleException: The activator org.springframework.ide.eclipse.beans.core.BeansCorePlugin for bundle org.springframework.ide.eclipse.beans.core is invalid
        	(resumed...)
        
        Caused by: java.lang.VerifyError: org/springframework/ide/eclipse/beans/core/internal/model/BeansModel
        	at org.springframework.ide.eclipse.beans.core.BeansCorePlugin.<init>(BeansCorePlugin.java:61)
        	(resumed...)
        
        Root exception:
        java.lang.VerifyError: org/springframework/ide/eclipse/beans/core/internal/model/BeansModel
        	at org.springframework.ide.eclipse.beans.core.BeansCorePlugin.<init>(BeansCorePlugin.java:61)
        	(resumed...)
        The log file goes attached.

        Any hints ?

        Comment


        • #5
          Anyone ?

          Hey there,

          So, since I wasn't able to open xml files without throwing several exceptions, the temporary solution was to disable the plugin. Unfortunatelly, that leaves-me empty handed, for I'm loosing all of the Spring IDE features.

          All help will be appreciated.

          Thanks in advance,

          Renato Back

          Comment


          • #6
            Originally posted by renatopb View Post
            This version of the plugin crashed my eclipse.
            I'm using Eclipse 3.2.2 and just downloaded SpringIDE 2.0

            Here's the log:

            Code:
            !SESSION 2007-06-28 14:54:16.243 -----------------------------------------------
            eclipse.buildId=M20060628-1325
            Are you sure you're running Spring IDE 2.0 with Eclipse 3.2.2?

            The build ID of my version of Eclipse 3.2.2 is
            Code:
            eclipse.buildId=M20070212-1330
            Spring IDE 2.0 requires at least Eclipse 3.2.

            Maybe your Eclipse installation is broken. Please delete all features and plugins of Spring IDE (the ones starting with "org.springframework.*") from your Eclipse installation and reinstall Spring IDE via Eclipse's update manager as described here.

            Comment


            • #7
              Pretty sure, TJ...

              Code:
              Eclipse SDK
              
              Version: 3.2.2
              Build id: M20070212-1330
              Same as yours. hehehe

              I'll do as you suggested and post the results here.
              Thanks for the reply,

              Renato Back

              Comment


              • #8
                Oh yeah!

                Good one, TJ!

                Spring IDE must be afraid of you, because for some reason that I can't understand, when I did what you mentioned BEFORE you mentioned it, I got those problems. And now, all of the sudden, after repeating those steps, it works!

                Actually, I believe there might be one little difference between what you said and what I did in the first time. Before 2.0, I had the previous version installed. Is it possible that by simply updating things with the eclipse update manager, the packages got all messed up ?

                Oh well...

                Thanks anyway,

                Renato Back

                Comment

                Working...
                X